/*
 * Copyright (C) 2008-2010 APN, LLC. All rights reserved
 * 
 * Ask.com Toolbar - Main JavaScript module 
 * Author: Vishal V. Shah 
 * Description: Contains core toolbar business logic.
 */
var ATB_Core=function(){this.zoomFactor=100;this.highlighterOn=false;this.highlightedQuery="";this.overflowButtonWidth=0;this.optionsContainerWidth=0;this.lastKnownBrowserInnerWidth=0;this.lastKnownSearchBoxWidth=0;this.recentMapsSearches=[];this.recentSearchHistory=[];this.autoFillCompetitorRegexArr=(ATB.Prefs.getCharPref(ATB.Constants.ATB_AUTO_FILL_COMPETITOR_REGEX_ARR)).split("||");this.autoFillLimit=parseInt(ATB.Prefs.getCharPref(ATB.Constants.ATB_AUTO_FILL_LIMIT));this.init()};ATB_Core.prototype={init:function(){ATB.Logger.info("Start *Core* Init...");var b=ATB.Prefs.getRecentMapsSearches();ATB.Logger.info('Using recent maps searches: "',b,'"');if(b&&b.length>0){this.recentMapsSearches=ATB.Prefs.getRecentMapsSearches().split(ATB.Constants.MAPS_SEARCHES_SEPARATOR)}ATB.Logger.info('Recent maps searches as an array: "',this.recentMapsSearches,'"');if(document.getElementById("asktb-btn-maps")){this.populateMapsMenu()}var a=ATB.Prefs.getRecentSearchHistory();ATB.Logger.info('Using recent search history: "',a,'"');if(a&&a.length>0){this.recentSearchHistory=ATB.Prefs.getRecentSearchHistory().split(ATB.Constants.MAPS_SEARCHES_SEPARATOR)}ATB.Logger.info('Search History as an array: "',this.recentSearchHistory,'"');if(ATB.Prefs.isFreshInstall()&&ATB.Prefs.getCobrandId()==""){document.getElementById("asktb").collapsed=false}ATB.Logger.info("End *Core* Init...")},unload:function(a){ATB.Logger.info("Unloading toolbar core...");if(ATB.Prefs.clearSearchesOnExit()){ATB.Logger.debug('Clearing search history per the "asktb-pref-clear-searches-on-exit" preference...');this.clearHistory()}ATB.Logger.info("Done unloading the toolbar core.")},isMasterToolbar:function(){if(typeof(window.isATBMaster)!="undefined"&&window.isATBMaster){return true}else{return false}},getConfigValue:function(b){var a=document.getElementById("asktb");return(a.hasAttribute(b))?a.getAttribute(b):null},getPrefetchDelay:function(){var a=parseInt(this.getConfigValue(ATB.Constants.CONFIG_PREFETCH_INTERVAL));if(isNaN(a)){a=ATB.Constants.DEFAULT_PREFETCH_INTERVAL}return a*1000},getButtonNodesWithAttr:function(d,e){var c=(d)?false:true;var g=[];var f=document.getElementById("asktb").getElementsByTagName("toolbarbutton");for(var b=0;b<f.length;b++){var a=f.item(b);if((c||a.hasAttribute(d))&&(!e||a.getAttribute(d)=="true")){g.push(a);ATB.Logger.debug("Found ",d," button => ",a.id)}}ATB.Logger.debug("Identified ",g.length," ",d," buttons: ",g);return g},showAboutWindow:function(a){window.openDialog("chrome://asktoolbar/content/about.xul","",ATB.Constants.DIALOG_WINDOW_FEATURES).focus();if(a&&a.stopPropagation){a.stopPropagation()}},getUserQuery:function(){return ATB.Utils.trim(document.getElementById(ATB.Constants.ATB_SEARCHBOX_ID).value)},setUserQuery:function(b,a){if(typeof(a)=="undefined"){a=window}a.document.getElementById(ATB.Constants.ATB_SEARCHBOX_ID).value=b;return},hideToolbarForCurrentSession:function(){document.getElementById("asktb").style.display="none"},updateToolbarLayoutPerPreferences:function(){if(ATB.Prefs.showLabels()){document.getElementById("asktb").setAttribute("mode","full")}else{document.getElementById("asktb").setAttribute("mode","icons")}},populateMapsMenu:function(){var a=this.getRecentMapsSearchesAsArray();if(a!=null&&a.length>0){for(var b=0;b<a.length;++b){this.addMapsQueryToMapsMenu(a[b])}}else{ATB.Logger.debug("No maps searches found to populate the maps drop down menu.")}return},addQueryToHistory:function(b,a){if(ATB.Prefs.saveSearches()){if(!this.queryExistsInSearchHistory(b)){ATB.Logger.debug('Query "',b,'" doesnt exist in search history, adding it to the search history.');this.addQueryToSearchHistory(b)}else{ATB.Logger.debug('Query "',b,'" already exists in the recent search history, wont add it to the search history.')}if(a=="maps-channel"){if(!this.queryExistsInRecentMapsSearches(b)){this.addMapsQueryToRecentMapsSearches(b);this.addMapsQueryToMapsMenu(b)}else{ATB.Logger.debug('Maps query "',b,'" already exists in the recent maps searches history.')}}}else{ATB.Logger.debug("Search history is disabled. Query will not be saved.")}return},queryExistsInRecentMapsSearches:function(d){var c=this.getRecentMapsSearchesAsArray();var b=false;for(var a=0;a<c.length;++a){if(d.toLowerCase()==c[a].toLowerCase()){ATB.Logger.info('Query "',d,'" exists in the recent maps searches.');b=true;break}}return b},queryExistsInSearchHistory:function(d){var a=this.getRecentSearchHistoryAsArray();var c=false;for(var b=0;b<a.length;++b){if(d.toLowerCase()==a[b].toLowerCase()){ATB.Logger.info('Query "',d,'" exists in the recent search history.');c=true;break}}return c},getMapsUrlForCurrentLocale:function(){return this.getCompleteUrl("$AskMapSearch$")},addMapsQueryToMapsMenu:function(d){ATB.Logger.debug('Adding maps channel query "',d,'" to the maps menu...');var c=document.getElementById("asktb-maps-menu");var a=document.createElement("menuitem");a.setAttribute("id","asktb-maps-item-"+escape(d));ATB.Logger.info("newMapsEntry.id: ",a.id);a.setAttribute("class","asktb-maps-item");a.setAttribute("channel","maps-channel");a.setAttribute("label",d);a.setAttribute("tooltiptext","");var b=this.getMapsUrlForCurrentLocale();b=b.replace(/{query}/g,escape(d));a.setAttribute("oncommand",'ATB.Core.navigateToUrl(event, "'+b+'");');if(c.childNodes!=null&&c.childNodes.length>0){c.insertBefore(a,c.childNodes[0])}else{c.appendChild(a)}return},getRecentMapsSearchesAsArray:function(){return this.recentMapsSearches},addMapsQueryToRecentMapsSearches:function(c){if(ATB.Prefs.saveSearches()){ATB.Logger.info("Saving maps channel query to maps history: ",c);var b=ATB.Utils.getMaxEntriesForButton("asktb-btn-maps");if(this.recentMapsSearches.length<b){ATB.Logger.debug("There is room in the recent maps searches queue for ",c,". Appending it to the queue.");this.recentMapsSearches.push(c)}else{var d=this.recentMapsSearches[0];ATB.Logger.info("There is *no* room in the recent maps searches queue for ",c,". Popping the query in the front of the queue: ",d," to make room for the new maps query.");this.removeMapsQueryFromMapsMenu(d);for(var a=1;a<b;++a){this.recentMapsSearches[a-1]=this.recentMapsSearches[a]}this.recentMapsSearches[b-1]=c;ATB.Logger.debug("Updated recentMapsSearches: ",this.recentMapsSearches)}this.updateRecentMapsSearchesPref(this.recentMapsSearches)}else{ATB.Logger.debug("Search history is disabled. Maps query will not be saved.")}return},clearRecentMapsSearchesArray:function(){this.recentMapsSearches=[];this.updateRecentMapsSearchesPref(this.recentMapsSearches);return},updateRecentMapsSearchesPref:function(a){ATB.Prefs.setRecentMapsSearches(a.join(ATB.Constants.MAPS_SEARCHES_SEPARATOR));return},getRecentSearchHistoryAsArray:function(){return this.recentSearchHistory},clearRecentSearchHistoryArray:function(){this.recentSearchHistory=[];this.updateRecentSearchHistoryPref(this.recentSearchHistory);return},addQueryToSearchHistory:function(c){if(ATB.Utils.getBrowserVersion()>=3&&ATB.Prefs.saveSearches()){ATB.Logger.info("Saving search channel query to search history: ",c);var b=document.getElementById("asktb-searchhistory-popup").getAttribute("maxEntries");if(this.recentSearchHistory.length<b){ATB.Logger.debug("There is room in the search history queue for ",c,". Appending it to the queue.");this.recentSearchHistory.push(c)}else{var a=this.recentSearchHistory[0];ATB.Logger.info("There is *no* room in the search history queue for ",c,". Popping the query in the front of the queue: ",a," to make room for the new search query.");this.recentSearchHistory.shift();this.recentSearchHistory.push(c);ATB.Logger.debug("Updated recentSearchHistory: ",this.recentSearchHistory)}this.updateRecentSearchHistoryPref(this.recentSearchHistory)}else{ATB.Logger.debug("Search history is disabled. Query will not be saved in Search history.")}return},updateRecentSearchHistoryPref:function(a){ATB.Prefs.setRecentSearchHistory(a.join(ATB.Constants.MAPS_SEARCHES_SEPARATOR));return},removeMapsQueryFromMapsMenu:function(c){var a="asktb-maps-item-"+escape(c);var b=document.getElementById(a);if(b){ATB.Logger.debug("Removing poppedMapsMenuItemNode: ",b.id);b.parentNode.removeChild(b)}else{ATB.Logger.error("Could not locate an element with the id: ",a,". The maps menu is reset however at startup.")}return},clearHistory:function(a){if(typeof(a)=="undefined"){a=window}ATB.Logger.info("Clearing search history...");a.ATB.Core.clearRecentSearchHistoryArray();this.clearMapsHistory(a);this.setUserQuery("",a);ATB.Logger.info("Cleared history items.");if(document.getElementById("asktb-btn-highlighter")){ATB.Events.onSearchBoxValueChange(null,a.document.getElementById("asktb-searchbox"))}return},clearSearchHistoryFromMenu:function(){ATB.Logger.info("User clicked clear history link from the suggestions/search history popup,Clearing search history.");this.clearRecentSearchHistoryArray();ATB.Suggestions.closeSuggestionsPopup()},clearMapsHistory:function(a){if(typeof(a)=="undefined"){a=window}ATB.Logger.info("Clearing maps history...");a.ATB.Core.clearRecentMapsSearchesArray();var b=a.document.getElementById("asktb-maps-menu");if(b){var c=b.getElementsByTagName("menuitem");while(c.length>0&&c[0].className=="asktb-maps-item"){b.removeChild(c[0])}}},navigateToUrl:function(e,c,b){if(typeof(b)=="undefined"||b==null){b=window}var a=/http:\/\/.*?\.ask\.com\/customize\/command.*/;if(a.test(c)){ATB.Logger.debug("Toolbar command Url encountered. Url: ",c);var f=c.match(/cmd=([a-zA-Z]+)&?/)[1];if(f=="popupwin"){ATB.Widgets.openWidgetPopupFromUrl(c);return}}ATB.Logger.debug('navigateToUrl called for url: "',c,'" using windowHostingATB: "',b.documentURI,'"');ATB.Observer.publish(ATB.Observer.Events.PRE_NAVIGATE_TO_URL_CALL,{url:c});if(c&&ATB.Utils.trim(c).length>0){var d=this.getCompleteUrl(c);ATB.Logger.info("Navigating to url: ",d);b.content.document.location.href=d}if(e&&e.stopPropagation){e.stopPropagation()}ATB.Observer.publish(ATB.Observer.Events.POST_NAVIGATE_TO_URL_CALL,{url:c});return},getCompleteUrl:function(b,a){var c="";if(b&&ATB.Utils.trim(b).length>0){if(b.indexOf("$")==0){c=ATB.Utils.getLocalizedStringForKey(b,ATB.Utils.getDocObjHostingATB())}else{c=b}if(a){c=ATB.Core.getInnerUrl(c,false)}c=ATB.Prefs.replaceTbMacros(c)}return c},getInnerUrl:function(d,c){var b=null;var a=new RegExp(ATB.Prefs.getCharPref(ATB.Constants.ATB_CUSTOM_COMMAND_URL_REGEX));var e=new RegExp(ATB.Prefs.getCharPref(ATB.Constants.ATB_APN_REPORTING_URL_REGEX));var f=ATB.Utils.getUrlParamMap(d);if(a.test(d)&&f.url){b=this.getCompleteUrl(unescape(f.url))}else{if(e.test(d)&&f.u){b=this.getCompleteUrl(unescape(f.u))}}if(c&&b){return this.getInnerUrl(b,true)}else{if(b){return b}}return d},getHelpUrl:function(a){if(typeof(a)=="undefined"||a==null){a=window.document}return ATB.Utils.getLocalizedStringForKey("AskTbFAQ",a)},navigateToHelpUrl:function(a){this.navigateToUrl(a,this.getHelpUrl())},getDefaultChannelBtn:function(){return document.getElementById("asktb-default-channel")},defaultSearchAction:function(c){var a=ATB.Prefs.getDefaultChannel();var b=document.getElementById(a);var d=ATB.Prefs.getDefaultChannelUrlMask();ATB.Logger.debug('Initiating default search action on default channel: "',a,'" using the url mask: "',d,'"');this.searchAction(c,b,d,true,true)},searchAction:function(b,f,e,h,i){var a=this.getUserQuery();var d=f.getAttribute("channel");ATB.Observer.publish(ATB.Observer.Events.PRE_SEARCH,{query:a,channel:d});var c=this.getCompleteUrl(e);c=c.replace(/{query}/g,encodeURIComponent(a));ATB.Logger.debug("Search requested on channel: ",d,' with query "',a,'"');if(typeof(h)=="undefined"){h=false}if(typeof(i)=="undefined"){i=false}if(i){this.setDefaultChannelForSession(d,e)}else{ATB.Logger.debug('Per "setAsDefaultChannelForSession" param, this channel will not be set as the default channel for this session.')}if(a.length>0||h){if(a.length>0){if(d=="site-channel"){var g=ATB.Utils.getCurrentHost();if(g&&g.length>0){a="site:"+g+" "+a}}ATB.Logger.info('Adding query "',a,"\" to the user's search history");this.addQueryToHistory(a,d);ATB.Logger.info("Updating last search Time stamp in preferences");ATB.Prefs.setLastSearchTimeStamp(new Date().getTime())}this.navigateToUrl(b,c)}else{ATB.Logger.debug('Empty query search and the "goChannelHomeIfQueryEmpty" option is "false". Aborting search action.')}if(b&&b.stopPropagation){b.stopPropagation()}ATB.Observer.publish(ATB.Observer.Events.POST_SEARCH,{query:a,channel:d});return},setDefaultChannelForSession:function(b,a){ATB.Logger.debug("Setting the default channel for this session to: ",b," and ",a);ATB.Prefs.setDefaultChannel(b);ATB.Prefs.setDefaultChannelUrlMask(a);this.getDefaultChannelBtn().setAttribute("image",document.getElementById(b).getAttribute("image"))},resetDefaultChannel:function(){var c="web-channel";try{var b=document.getElementById("asktb-verticals-menu").childNodes;c=b[0].id}catch(a){ATB.Logger.error("Error while retrieving default channel: ",a)}var d=this.getUrlMaskForChannel(c);ATB.Logger.info('Resetting default channel and base url preferences to "',c,'" and "',d,'"');this.setDefaultChannelForSession(c,d)},getUrlMaskForChannel:function(d){try{var b=document.getElementById(d);var a=b.getAttribute("oncommand").match(/\$.+\$/)[0];var c=ATB.Utils.getLocalizedStringForKey(a);if(!c||ATB.Utils.trim(c).length==0){ATB.Logger.error('Unable to retrieve the web channel url mask from toolbar.xul. Retrieved illegal value: "',c,'". The default "hard coded" value will be used: ',ATB.Defaults.ATB_WEB_CHANNEL_URL_MASK);c=ATB.Defaults.ATB_WEB_CHANNEL_URL_MASK}return c}catch(f){ATB.Logger.error("Error retrieving channelUrlMask. The default value will be used. Error: ",f);return ATB.Defaults.ATB_WEB_CHANNEL_URL_MASK}},updateSelectedMenuItem:function(a,c){var d=ATB.Constants.ATTR_DROP_DOWN_CURRENT_ITEM;var b=(a.hasAttribute(d))?document.getElementById(a.getAttribute(d)):null;a.setAttribute("image",c.getAttribute("image"));if(a.getAttribute(ATB.Constants.ATTR_DROP_DOWN_OPTION_IMAGE)!=="true"){a.setAttribute("label",c.getAttribute("label"));a.setAttribute("label-localekey",c.getAttribute("label-localekey"))}if(b){b.collapsed=false}if(a.getAttribute(ATB.Constants.ATTR_DROP_DOWN_OPTION_HIDE_SELECTED)==="true"){c.collapsed=true}a.setAttribute(d,c.getAttribute("id"))},zoom:function(c,a){if(ZoomManager&&ZoomManager.prototype){ZoomManager.prototype.getInstance().textZoom=a;if(this.zoomFactor!=a){if(document.getElementById("asktb-btn-resize")){var b=document.getElementById("zoom"+this.zoomFactor);if(b){b.setAttribute("checked","false")}b=document.getElementById("zoom"+a);if(b){b.setAttribute("checked","true")}}this.zoomFactor=a}}else{getBrowser().mCurrentBrowser.markupDocumentViewer.fullZoom=(a/100)}},highlight:function(b){if(!this.highlighterOn){var a=this.getUserQuery();if(a.length>0){ATB.Logger.debug('Finding "',a,'" using event: ',b," using gFindBar instance: ",gFindBar);this.highlighterOn=true;this.highlightedQuery=a;this.highlightDocWrapper("yellow","black",a)}}else{this.resetHighlight()}return},resetHighlight:function(){this.highlighterOn=false;this.highlightDocWrapper(null,null,this.highlightedQuery)},highlightDocWrapper:function(c,a,b){if(gFindBar._highlightDoc){this.highlightQuery(c,a,b)}else{if(gFindBar.highlightDoc){gFindBar.highlightDoc(c,a,b)}else{if(_highlightDoc){_highlightDoc(c,a,b)}else{if(highlightDoc){highlightDoc(c,a,b)}}}}},highlightQuery:function(c,a,b){gFindBar._hlSurroundNode=function(e,f){var i=e.startContainer;var d=e.startOffset;var g=e.endOffset;var k=e.extractContents();var j=i.splitText(d);var h=j.parentNode;f.appendChild(k);h.insertBefore(f,j);return f};gFindBar._hlText=function(g,j){var f=null;var i=Components.classes["@mozilla.org/embedcomp/rangefind;1"].createInstance().QueryInterface(Components.interfaces.nsIFind);i.caseSensitive=this._shouldBeCaseSensitive(g);var d=false;while((f=i.Find(g,this._searchRange,this._startPt,this._endPt))){var e=j.cloneNode(true);var h=this._hlSurroundNode(f,e);this._startPt=h.ownerDocument.createRange();this._startPt.setStart(h,h.childNodes.length);this._startPt.setEnd(h,h.childNodes.length);d=true}if(d){ATB.Logger.debug("Surrounding the query word ",b," with the nodeSurround element: ",e)}this._lastHighlightString=g;return d};gFindBar._hlDoc=function(h,f,r,e){var g=e||gFindBar.browser.contentWindow;var v=true;var u=g.document;if(!u||!(u instanceof HTMLDocument)){return v}var l=u.body;var j=l.childNodes.length;this._searchRange=u.createRange();this._startPt=u.createRange();this._endPt=u.createRange();this._searchRange.setStart(l,0);this._searchRange.setEnd(l,j);this._startPt.setStart(l,0);this._startPt.setEnd(l,0);this._endPt.setStart(l,j);this._endPt.setEnd(l,j);if(!h){if(!this._lastHighlightString){return v}var m=null;ATB.Logger.debug('Creating a nsIFind obj to find the query "',b,'" in the doc');var t=Components.classes["@mozilla.org/embedcomp/rangefind;1"].createInstance(Components.interfaces.nsIFind);while((m=t.Find(this._lastHighlightString,this._searchRange,this._startPt,this._endPt))){var s=m.startContainer;var q=null;try{q=s.parentNode}catch(o){}if(q&&q.className=="asktb-search"){var i=null;var p=u.createDocumentFragment();var n=q.nextSibling;var k=q.parentNode;while((i=q.firstChild)){p.appendChild(i)}this._startPt=u.createRange();this._startPt.setStartAfter(q);k.removeChild(q);k.insertBefore(p,n);k.normalize()}else{this._startPt=u.createRange();this._startPt.setStart(m.endContainer,m.endOffset)}this._startPt.collapse(true);v=true}return v}var d=u.createElementNS("http://www.w3.org/1999/xhtml","span");ATB.Logger.debug("Creating a span element with highlight color as ",h,' to surrond the query word "',b,'"');d.style.backgroundColor=h;d.style.color=f;d.style.display="inline";d.style.fontSize="inherit";d.style.padding="0";d.className="asktb-search";return this._hlText(r,d)||v};gFindBar._hlDoc(c,a,b)},launchApp:function(n,c,a,s,o){var q=false,h=null,f=null,j="";if(!a||typeof(a)=="undefined"||a.length==0){ATB.Logger.error("Applicaton or registry path is empty - It can not be launched. Called with args: ",d)}else{if(typeof(a)=="object"){var b=a.regPath;j=b;f=a.subPath}else{if(typeof(a)=="string"){j=a}else{j=a}}if(j.indexOf("HKEY")!=0){ATB.Logger.info("Application (to be launched) path: ",j);h=j}else{ATB.Logger.info("Fetching application path from registry path: ",j);var r=j.indexOf("\\");var g=j.lastIndexOf("\\");var p=j.substring(0,r);ATB.Logger.debug("Parsed rootKey of the registry path: ",p);var k=j.substring(r+1,g);ATB.Logger.debug("Parsed regPathUnderRoot of the registry path: ",k);var e=j.substring(g+1);ATB.Logger.debug("Parsed regEntryName of the registry path: ",e);h=ATB.Utils.getRegistryEntry(e,k,"TYPE_STR",p);ATB.Logger.debug("Pulled application path from the registry (",j,"): ",h);h=h.replace(/\"/g,"")}h=ATB.Utils.replaceEnvVariables(h);if(f!=null&&f.length>0){h+="\\"+f}if(h!=null&&h.length>0){ATB.Logger.info('Launching app: "',h,'" with argString: "',s,'"');try{var i=Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);i.initWithPath(h);ATB.Logger.debug("Successfully created file handle to: ",i.path);var l=Components.classes["@mozilla.org/process/util;1"].createInstance(Components.interfaces.nsIProcess);if(i.exists()){l.init(i);var d=[];if(typeof(s)!="undefined"&&s!=null&&s.length>0){d=s.split(",")}ATB.Logger.info('File exists! Launching application: "',h,'" with args: "',d,'"');l.run(false,d,d.length);ATB.Logger.info("Successfully launched application.");q=true}else{ATB.Logger.warn('Application does not exist at: "',h,'"..')}}catch(m){ATB.Logger.error('Unable to launch application: "',h,'" with args: "',d,'"')}}}if(!q&&o&&o.length>0&&ATB.Utils.isValidUrl(o)){ATB.Logger.warn("Fallback url available. Navigating to: ",o);this.navigateToUrl(null,o)}if(n&&n.stopPropagation){n.stopPropagation()}return},updateAttributesForTbResize:function(){document.getElementById("asktb-splitter").setAttribute("resizeafter","grow");document.getElementById("asktb-splitter").setAttribute("resizebefore","grow");document.getElementById("asktb-app-buttons").setAttribute("style","overflow:hidden;");window.setTimeout("ATB.Events.setSearchboxMaxWidth()",1000)},calculateImportantTbAttrs:function(){ATB.Logger.debug("Calculating toolbar widths.");var a=document.getElementById("asktb-overflowbtn");a.collapsed=false;this.overflowButtonWidth=a.boxObject.width;a.collapsed=true;this.optionsContainerWidth=document.getElementById("asktb-item-options").boxObject.width;this.updateTbWidthAttrs(ATB.Utils.getAvailableBrowserWidth(),this.getSearchBoxWidth())},updateTbWidthAttrs:function(b,a){this.lastKnownBrowserInnerWidth=b;this.lastKnownSearchBoxWidth=a},getLastKnownBrowserInnerWidth:function(){return this.lastKnownBrowserInnerWidth},getLastKnownSearchBoxWidth:function(){return this.lastKnownSearchBoxWidth},getSearchBoxWidth:function(){return document.getElementById("asktb-searchbox-container").boxObject.width},getOverflowButtonWidth:function(){return this.overflowButtonWidth},getOptionsContainerWidth:function(){return this.optionsContainerWidth},getWidthNeededForToolbarButton:function(a){return a.boxObject.x+a.boxObject.width+this.getOverflowButtonWidth()+this.getOptionsContainerWidth()},getOverflowMenuContents:function(){var b=document.getElementById("asktb-overflowmenu").childNodes;var a=new Array();for(contentNode in b){if(b[contentNode]&&typeof(b[contentNode])!="undefined"&&Node.ELEMENT_NODE==b[contentNode].nodeType){a.push(b[contentNode])}}return a},getActiveTbButtons:function(){var a=document.getElementById("asktb-app-buttons").childNodes;var b=new Array();for(contentNode in a){if(a[contentNode]&&typeof(a[contentNode])!="undefined"&&Node.ELEMENT_NODE==a[contentNode].nodeType){b.push(a[contentNode])}}return b},isOverflowMenuEmpty:function(){var a=this.getOverflowMenuContents();if(a!=null&&a.length>0){return false}else{return true}},addButtonToOverflowMenu:function(a){var b=document.getElementById("asktb-overflowmenu");if(this.isOverflowMenuEmpty()){b.appendChild(a)}else{b.insertBefore(a,b.firstChild)}return},addButtonToToolbar:function(a){var b=document.getElementById("asktb-app-buttons");b.appendChild(a);return},removeButtonFromOverflowMenu:function(c){var b=document.getElementById("asktb-overflowmenu");try{b.removeChild(c)}catch(a){ATB.Logger.error("Button ",c.id," is not part of the overflow menu anymore.")}return},isItemInOverflowMenu:function(b){var a=document.getElementById("asktb-overflowmenu");return Boolean(b.compareDocumentPosition(a)&Components.interfaces.nsIDOM3Node.DOCUMENT_POSITION_CONTAINS)},removeButtonFromToolbar:function(c){var b=document.getElementById("asktb-app-buttons");try{b.removeChild(c)}catch(a){ATB.Logger.error("Button ",c.id," is not part of the toolbar anymore.")}return},showToolbarLabels:function(a){if(a){document.getElementById("asktb").setAttribute("mode","full")}else{document.getElementById("asktb").setAttribute("mode","icons")}},showOptionsWindow:function(a){ATB.Logger.info("Opening toolbar options window: chrome://asktoolbar/content/options.xul with features: ",ATB.Constants.DIALOG_WINDOW_FEATURES);window.openDialog("chrome://asktoolbar/content/options.xul","Ask.com Toolbar Options",ATB.Constants.DIALOG_WINDOW_FEATURES);ATB.Logger.info("Options window closed.");ATB.Logger.debug("hasTbLocaleChangedViaOptions: ",ATB.Prefs.hasTbLocaleChangedViaOptions(),". If true, the current window will be closed, since options dialog popped open a new window to reflect the locale changes.");if(ATB.Prefs.hasTbLocaleChangedViaOptions()){ATB.Logger.debug("Locale changed via options dialog. A new window is popped open by options dialog. Closing this window (after resetting the saved preference)..");ATB.Prefs.setTbLocaleChangedViaOptions(false);window.close()}if(a&&a.stopPropagation){a.stopPropagation()}},updateKeywordUrlIfTakeover:function(){currentKeywordUrl=ATB.Prefs.getKeywordURLPref();var a=new RegExp(ATB.Prefs.getCharPref(ATB.Constants.ATB_ADD_BAR_WAR_REGEX));if(a.test(currentKeywordUrl)){ATB.Prefs.setKeywordURLPref(ATB.Prefs.replaceTbMacros(ATB.Prefs.getRedirectUri().replace(/{query}/g,"")))}},autoFillSBOnTextHighLight:function(b){try{var a=getBrowser().contentWindow.getSelection().toString();if(a){a=ATB.Utils.trim(a).substring(0,this.autoFillLimit);document.getElementById("asktb-searchbox").value=a}}catch(c){ATB.Logger.warn("Error occured during autoFillSBOnTextHighLight"+c)}},autoFillSBWithCompetitorQuery:function(c){for(var b=0;b<this.autoFillCompetitorRegexArr.length;b++){var a=c.match(this.autoFillCompetitorRegexArr[b]);if(a&&a[1]){document.getElementById("asktb-searchbox").value=(decodeURIComponent(a[1].replace(/\+/g," ")))}}},makeAPNAnalyticsReportingCall:function(a){var b=new XMLHttpRequest();b.open("GET",a,true);b.onreadystatechange=function(){};b.send(null)},reportAnalyticsIfNeeded:function(b){var a=b.target.getAttribute(ATB.Constants.ATB_REPORTING_ANALYTICS_ID);if(a){a=this.getCompleteUrl(a);this.makeAPNAnalyticsReportingCall(a)}}};