/*
 * Copyright (C) 2008-2010 APN, LLC. All rights reserved
 * References to any external sources are embedded in the code.
 * 
 * Author: Christine Hodges
 * Description: Web progress listeners (ex: Supertoolbar Customize Command processor)
 */
var ATB_CustomCommandListener=function(a){this.init(a)};ATB_CustomCommandListener.prototype={PARAM_CMD_REDIR:"redir",PARAM_CMD_TBSCRIPT:"tbscript",PARAM_CMD_DROPDOWN:"dropdownhtml",PARAM_CMD_POPUPWIN:"popupwin",PARAM_CMD_NATIVE_ON:"nativeon",PARAM_CMD_NATIVE_OFF:"nativeoff",PARAM_CMD_RELOAD:"reload",PARAM_SCRIPT_FUNCTION:"function",PARAM_CLOSE_WIDGET:"closewidget",PARAM_USERPREF:"userpref",containerWindow:null,commandFunctionMap:{tbscript:null},redirTargetMap:{tab:"tab",current:"current","new":"window"},anchorTargetMap:{"#_tab":"tab","#_blank":"window","#_current":"current"},stopNavigationIfOffline:false,networkLinkService:Components.classes["@mozilla.org/network/network-link-service;1"].getService(Components.interfaces.nsINetworkLinkService),init:function(a){if(a){this.stopNavigationIfOffline=true}this.commandFunctionMap[this.PARAM_CMD_TBSCRIPT]=this.callUrlFunction;this.commandFunctionMap[this.PARAM_CMD_DROPDOWN]=this._handleDropdownCommand;this.commandFunctionMap[this.PARAM_CMD_POPUPWIN]=this._handlePopupCommand;this.commandFunctionMap[this.PARAM_CMD_NATIVE_ON]=this._handleNativeOnCommand;this.commandFunctionMap[this.PARAM_CMD_NATIVE_OFF]=this._handleNativeOffCommand;this.commandFunctionMap[this.PARAM_CMD_RELOAD]=this._handleReloadCommand},QueryInterface:function(a){try{if(a.equals(Components.interfaces.nsIWebProgressListener)||a.equals(Components.interfaces.nsISupportsWeakReference)||a.equals(Components.interfaces.nsISupports)){return this}throw Components.results.NS_NOINTERFACE}catch(b){if(ATB.Logger.isErrorEnabled()){ATB.Logger.error("CustomCommandListener QueryInterface error: "+b)}}},onStateChange:function(f,b,e,h){if((e&Components.interfaces.nsIWebProgressListener.STATE_START)&&((e&Components.interfaces.nsIWebProgressListener.STATE_IS_NETWORK)||(e&Components.interfaces.nsIWebProgressListener.STATE_IS_WINDOW)||(e&Components.interfaces.nsIWebProgressListener.STATE_IS_DOCUMENT))){var c=b.name;if(ATB.Logger.isDebugEnabled()){ATB.Logger.debug("CustomCommandListener onStateChange: Major request detected -- "+c+" STATES: "+ATB.Net.getRequestStatesString(e))}var g=this._executeCustomCommand(c);if(this.stopNavigationIfOffline&&!this.isOnline()){g="OFFLINE! Original nav msg: "+g}if(g&&f.DOMWindow.name){this.stopWebNavigation(f.DOMWindow.name,g)}else{if(g&&!f.DOMWindow.name&&ATB.WebFrameManager){var a=ATB.WebFrameManager.getToolbarWebframes();for(var d=0;d<a.length;d++){if(f.DOMWindow==a[d].frameBrowser.contentWindow){if(ATB.Logger.isDebugEnabled()){ATB.Logger.debug("CustomCommandListener: Stopping navigation for "+a[d].getAttribute("id")+". Message: "+g)}a[d].stopNavigation()}}}}}},_executeCustomCommand:function(a){var b="";if(ATB.Constants.REGEX_CUSTOM_CMD_URL.test(a)){var e=ATB.Utils.getUrlParamMap(a),d=e.cmd;if(d==this.PARAM_CMD_REDIR){b=this._executeRedirCommand(e)}else{b=this._executeCommandFunction(d,e)}}else{for(var c in this.anchorTargetMap){if(a.indexOf(c)!=-1){var f=a.replace(c,"");openUILinkIn(f,this.anchorTargetMap[c]);b="Named anchor code for: "+c;break}}}return b},_executeRedirCommand:function(c){var g="",b=unescape(c.url);if(c[this.PARAM_USERPREF]==="true"){var a=makeURI(b),f=window.QueryInterface(Components.interfaces.nsIInterfaceRequestor).getInterface(Components.interfaces.nsIWebNavigation),h=f.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem,e=h.QueryInterface(Components.interfaces.nsIInterfaceRequestor).getInterface(Components.interfaces.nsIDOMWindow);var i=e.QueryInterface(Components.interfaces.nsIDOMChromeWindow).browserDOMWindow;i.openURI(a,null,Components.interfaces.nsIBrowserDOMWindow.OPEN_DEFAULTWINDOW,Components.interfaces.nsIBrowserDOMWindow.OPEN_EXTERNAL);g="Customize Command, redirect according to USER PREFS"}else{for(var d in this.redirTargetMap){if(c.target==d){openUILinkIn(b,this.redirTargetMap[d]);g="Customize Command, redir to: "+d;break}}}if(!g){openUILinkIn(b,"current");g="Customize Command, redir to: CURRENT tab/window"}this._checkCloseWidget(c);return g},_executeCommandFunction:function(h,g){var b="";for(var a in this.commandFunctionMap){if(h==a){this._checkCloseWidget(g);var c=this.commandFunctionMap[h],f=true;try{f=c.call(this,g)}catch(d){ATB.Logger.warn("CustomCommandListener: Error executing the custom command for ",h,": ",c," Error: ",d)}if(f){b="Customize command: "+h}break}}return b},onStatusChange:function(b,a,d,c){},onLocationChange:function(b,a,c){},onProgressChange:function(){return 0},onSecurityChange:function(b,a,c){},stopWebNavigation:function(d,a){if(ATB.Logger.isDebugEnabled()){ATB.Logger.debug("CustomCommandListener: Stopping navigation inside: "+d+"  Message: "+a)}var c=(this.containerWindow)?this.containerWindow:window,b=c.document.getElementById(d);if(b&&b.webNavigation){b.webNavigation.stop(Components.interfaces.nsIWebNavigation.STOP_ALL)}},_checkCloseWidget:function(a){if((a[this.PARAM_CLOSE_WIDGET]==="true")&&this.containerWindow){ATB.Logger.debug("CustomCommandListener: Closing Widget Window.");this.containerWindow.ATB_userCloseWindow()}},isOnline:function(){return(this.networkLinkService.linkStatusKnown)?this.networkLinkService.isLinkUp:true},_openWidgetFromParams:function(e,b){var a="",d=null,c;c=document.getElementById(e.btnid);if(c){if(e.url){d=e;if(!d.width){d.width=c.getAttribute("widget-width")}if(!d.height){d.height=c.getAttribute("widget-height")}if(!d.top){d.top=c.boxObject.screenY+c.boxObject.height}if(!d.left){d.left=c.boxObject.screenX}if(ATB.Core.isItemInOverflowMenu(c)){d.top=d.top-c.boxObject.height;d.left=d.left-d.width-4}c=null}if(b=="widget"){ATB.Widgets.openWidgetDropdownWindow(c,d)}else{ATB.Widgets.openWidgetPopupWindow(c,d)}a="Handling dropdown or popup command"}else{ATB.Logger.warn("CustomCommandListener: Couldn't find element with btnid: ",e.btnid)}return a},_handleDropdownCommand:function(a){return this._openWidgetFromParams(a,"widget")},_handlePopupCommand:function(a){return this._openWidgetFromParams(a,"popup")},_handleNativeOnCommand:function(b){var a="";node=document.getElementById(b.btnid);if(node){if(node.hasNativeButton){node.showNativeButton();node.persistNativeShowing();ATB.Events.handleTbButtonAreaWidening(ATB.Utils.getAvailableBrowserWidth());a="Showed native button for "+b.btnid}else{ATB.Logger.warn("CustomCommandListener: Couldn't show native button since hasNativeButton is false: ",b.btnid)}}else{ATB.Logger.warn("CustomCommandListener: Couldn't find element with btnid: ",b.btnid)}return a},_handleNativeOffCommand:function(b){var a="";node=document.getElementById(b.btnid);if(node){if(node.showBrowser){node.showBrowser(false);node.persistNativeShowing();ATB.Events.handleTbButtonAreaNarrowing(ATB.Utils.getAvailableBrowserWidth());a="Showed browser for "+b.btnid}else{ATB.Logger.warn("CustomCommandListener: Node didn't have 'showBrowser' method: ",b.btnid)}}else{ATB.Logger.warn("CustomCommandListener: Couldn't find element with btnid: ",b.btnid)}return a},_handleReloadCommand:function(b){var a="";node=document.getElementById(b.btnid);if(node){if(node.frameBrowser){node.showingNativeButton=!node.showingNativeButton;node.showingNativeButton=!node.showingNativeButton;a="Reloaded webframe for "+b.btnid}else{ATB.Logger.warn("Ignoring reload command since node isn't a webframe.")}}else{ATB.Logger.warn("CustomCommandListener: Couldn't find element with btnid: ",b.btnid)}return a},callUrlFunction:function(a){var b=a[this.PARAM_SCRIPT_FUNCTION],c=ATB.Utils.stringToToolbarFunction(b);if(c){ATB.Logger.info("CustomCommandListener (tbscript cmd): Calling function: ATB.",b);c(a)}else{ATB.Logger.warn("CustomCommandListener (tbscript cmd): Function is not valid: ATB.",b)}return true}};