/*
 * Copyright (C) 2008-2010 APN, LLC. All rights reserved
 * References to any external sources are embedded in the code.
 * 
 * Author(s): Michael Mayfield
 * Description: Dynamic button classes.
 */
ATB_DynamicButton=function(){};ATB_DynamicButton.SIMPLE_BUTTON_TYPE="simple";ATB_DynamicButton.TICKER_BUTTON_TYPE="ticker";ATB_DynamicButton.XML_FEED_FORMAT="xml";ATB_DynamicButton.TEXT_FEED_FORMAT="text";ATB_DynamicButton.BUTTON_TYPE_ATTR="button-type";ATB_DynamicButton.DATA_SRC_ATTR="data-src";ATB_DynamicButton.INITIALIZER_URL_ATTR="init-url";ATB_DynamicButton.PARSER_URL_ATTR="parser-url";ATB_DynamicButton.TRANSLATOR_URL_ATTR="translator-url";ATB_DynamicButton.REFRESH_INTERVAL_ATTR="refresh-interval";ATB_DynamicButton.FEED_FORMAT_ATTR="feed-format";ATB_DynamicButton.RENDERING_ENABLED_ATTR="rendering-enabled";ATB_DynamicButton.MAX_CHAR_WIDTH_ATTR="max-char-width";ATB_DynamicButton.DEFAULT_LABEL_ATTR="label";ATB_DynamicButton.DEFAULT_ICON_ATTR="image";ATB_DynamicButton.DEFAULT_TOOLTIP_ATTR="tooltiptext";ATB_DynamicButton.getButtonInstance=function(c,b){ATB.Logger.debug("ATB_DynamicButton.getButtonInstance");var a=null;switch(c){case ATB.Constants.BTN_TYPE_CLASS_DYNAMIC_SIMPLE:a=new ATB_DynamicButton.Simple(b);break;case ATB.Constants.BTN_TYPE_CLASS_DYNAMIC_TICKER:a=new ATB_DynamicButton.Ticker(b);break;default:ATB.Logger.error("Unrecognized button class: ",c)}return a};ATB_DynamicButton.handleCacheRefresh=function(b){var a=ATB.DynamicButtonManager.getWrapperInstanceForButton(b);if(a){a.fetchFeedData()}else{ATB.Logger.warn("Button instance for the button id:"+b+", not found.")}};ATB_DynamicButton.createSandbox=function(a){ATB.Logger.debug("Creating sandbox with ",a.length," scripts.");var b={};for(var c=0;c<a.length;c++){ATB.Utils.loadScriptContentInSandbox(a[c],b)}b.XPathEvaluator=XPathEvaluator;b.XPathResult=XPathResult;b.log=function(d){ATB.Logger.debug("Sandbox log: ",d)};b.serialize=function(d){return ATB.Utils.jsonStringify(d)};return b};ATB_DynamicButton.getRemoteScriptContent=function(b,a){ATB.Logger.debug("ATB_DynamicButton.getRemoteScriptContent");if(b in ATB_DynamicButton._remoteScripts){a(ATB_DynamicButton._remoteScripts[b])}else{ATB.Net.getBinaryResponseTextFromUrlAsynchronously(b,function(c,d){ATB.Logger.debug("Received response for processor script: ",b);ATB_DynamicButton._remoteScripts[b]=d;a(d)})}};ATB_DynamicButton._remoteScripts={};ATB_DynamicButton.prototype.refreshInterval=null;ATB_DynamicButton.prototype.sourceURL=null;ATB_DynamicButton.prototype.initializerURL=null;ATB_DynamicButton.prototype.parserURL=null;ATB_DynamicButton.prototype.translatorURL=null;ATB_DynamicButton.prototype.feedFormat=null;ATB_DynamicButton.prototype.maxCharWidth=null;ATB_DynamicButton.prototype._buttonType=null;ATB_DynamicButton.prototype._xulElementId=null;ATB_DynamicButton.prototype._initializerSandbox=null;ATB_DynamicButton.prototype._processorSandbox=null;ATB_DynamicButton.prototype._requestTOFlag=null;ATB_DynamicButton.prototype.getButtonType=function(){return this._buttonType};ATB_DynamicButton.prototype.getXULElementId=function(){return this._xulElementId};ATB_DynamicButton.prototype.getXULElement=function(){return document.getElementById(this._xulElementId)};ATB_DynamicButton.prototype.initButtonData=function(){ATB.Logger.debug("ATB_DynamicButton.initButtonData");var a=this;this._initInitializerSandbox(function(){try{a._initializerSandbox.initFirefox(a)}catch(b){ATB.Logger.error("Error calling 'init' method of initializer sandbox: ",b);return}a._initProcessorSandbox(function(){ATB.Logger.debug("Processor sandbox initialized successfully.");var c;c=ATB.Cache.getValue(a._xulElementId);if(c){a.renderData(c)}else{if(ATB.Core.isMasterToolbar()){a.fetchFeedData()}}})})};ATB_DynamicButton.prototype.fetchFeedData=function(){ATB.Logger.debug("ATB_DynamicButton.fetchFeedData");var b=this;var a=ATB.Core.getCompleteUrl(this.sourceURL,true);this._requestTOFlag=false;setTimeout(function(){b.checkRequestTOFlag(b)},5000);switch(this.feedFormat){case ATB_DynamicButton.XML_FEED_FORMAT:ATB.Net.getResponseXMLFromUrlAsynchronously(a,function(c,d){b.processData(d)});break;case ATB_DynamicButton.TEXT_FEED_FORMAT:default:ATB.Net.getBinaryResponseTextFromUrlAsynchronously(a,function(c,d){b.processData(d)});break}};ATB_DynamicButton.prototype.checkRequestTOFlag=function(a){if(!a._requestTOFlag){a.enableRendering(false)}};ATB_DynamicButton.prototype.processData=function(a){};ATB_DynamicButton.prototype.renderData=function(a){};ATB_DynamicButton.prototype.enableRendering=function(a){};ATB_DynamicButton.prototype._initButtonProps=function(a){this.refreshInterval=parseInt(a.getAttribute(ATB_DynamicButton.REFRESH_INTERVAL_ATTR));this.sourceURL=a.getAttribute(ATB_DynamicButton.DATA_SRC_ATTR);this.feedFormat=a.getAttribute(ATB_DynamicButton.FEED_FORMAT_ATTR);this.initializerURL=a.getAttribute(ATB_DynamicButton.INITIALIZER_URL_ATTR);this.parserURL=a.getAttribute(ATB_DynamicButton.PARSER_URL_ATTR);this.translatorURL=a.getAttribute(ATB_DynamicButton.TRANSLATOR_URL_ATTR);this.renderingEnabled=(!a.hasAttribute(ATB_DynamicButton.RENDERING_ENABLED_ATTR))||(a.getAttribute(ATB_DynamicButton.RENDERING_ENABLED_ATTR)==="true");this.defaultLabel=a.getAttribute(ATB_DynamicButton.DEFAULT_LABEL_ATTR);this.defaultIcon=a.getAttribute(ATB_DynamicButton.DEFAULT_ICON_ATTR);this.defaultTooltip=a.getAttribute(ATB_DynamicButton.DEFAULT_TOOLTIP_ATTR);this.maxCharWidth=parseInt(a.getAttribute(ATB_DynamicButton.MAX_CHAR_WIDTH_ATTR));ATB.Logger.debug("Fetched button props -- refreshInterval: ",this.refreshInterval,", sourceURL: ",this.sourceURL,", feedFormat: ",this.feedFormat,", initializerURL: ",this.initializerURL,", parserURL: ",this.parserURL,", translatorURL: ",this.translatorURL,", renderingEnabled: ",this.renderingEnabled,", defaultLabel: ",this.defaultLabel,", defaultIcon: ",this.defaultIcon,", defaultTooltip: ",this.defaultTooltip)};ATB_DynamicButton.prototype._initInitializerSandbox=function(c){ATB.Logger.debug("ATB_DynamicButton._initInitializerSandbox");var b=this,a={};if(this._initializerSandbox){ATB.Logger.info("Initializer sandbox already initialized");c(this._initializerSandbox)}ATB_DynamicButton.getRemoteScriptContent(this.parserURL,function(d){ATB.Logger.debug("Successfully fetched XML feed parser content: "+d);ATB_DynamicButton.getRemoteScriptContent(b.initializerURL,function(f){ATB.Logger.debug("Successfully fetched initializer script content: "+f);var e=ATB_DynamicButton.createSandbox([d,f]);if(e){b._initializerSandbox=e;b._initializerSandbox.ATB=ATB;c()}else{ATB.Logger.error("There was an error initializing the initializer sandbox for ",b.feedFormat," based dynamic button.")}})})};ATB_DynamicButton.prototype._initProcessorSandbox=function(c){ATB.Logger.debug("ATB_DynamicButton._initProcessorSandbox");var b=this,a={};if(this._processorSandbox){ATB.Logger.info("Processor sandbox already initialized");c(this._processorSandbox)}ATB_DynamicButton.getRemoteScriptContent(this.parserURL,function(d){ATB.Logger.debug("Successfully fetched XML feed parser content: "+d);ATB_DynamicButton.getRemoteScriptContent(b.translatorURL,function(f){ATB.Logger.debug("Successfully fetched translator script content: "+f);var e=ATB_DynamicButton.createSandbox([d,f]);if(e){b._processorSandbox=e;c()}else{ATB.Logger.error("There was an error initializing the processor sandbox for ",b.feedFormat," based dynamic button.")}})})};ATB_DynamicButton.prototype.setDefaultIconAndLabel=function(){this.getXULElement().setAttribute("label",this.defaultLabel);this.getXULElement().setAttribute("image",this.defaultIcon);this.getXULElement().setAttribute("tooltiptext",this.defaultTooltip)};ATB_DynamicButton.Simple=function(a){ATB.Logger.info("Instantiating Simple button class.");this._buttonType=ATB_DynamicButton.SIMPLE_BUTTON_TYPE;this._xulElementId=a.id;if(!this._xulElementId){ATB.Logger.error("The dynamic button must have a unique ID.");return null}this._initButtonProps(a)};ATB_DynamicButton.Simple.prototype=new ATB_DynamicButton();ATB_DynamicButton.Simple.prototype.processData=function(c){ATB.Logger.debug("Simple.processData");this._requestTOFlag=true;if(!this._processorSandbox){ATB.Logger.error("Processor sandbox unavailable.");return}ATB.Logger.info("Calling processSourceData on sandbox.");var a=null;try{a=this._processorSandbox.processSourceData(c)}catch(b){ATB.Logger.error("Unable to call processSourceData on sandbox: ",b)}if(a){ATB.Logger.info("Processed data successfully.");ATB.Logger.debug("Processed data: ",ATB.Utils.jsonStringify(a));this.renderData(a);ATB.DynamicButtonManager.callRenderDataOnOtherWindowsForButton(this._xulElementId,a)}else{ATB.Logger.error("Unable to process source data using the sandbox.");this.setDefaultIconAndLabel()}if(!isNaN(this.refreshInterval)){ATB.Cache.put(this._xulElementId,a,this.refreshInterval,"ATB_DynamicButton.handleCacheRefresh")}};ATB_DynamicButton.Simple.prototype.renderData=function(b){ATB.Logger.debug("Dynamic Buttons (Simple): renderData called. Is renderingEnabled? ",this.renderingEnabled," data = ",ATB.Utils.jsonStringify(b));if(this.renderingEnabled&&(b!==null)){var a=this.getXULElement();if(b.label!==null){if(!isNaN(this.maxCharWidth)){if(b.label.length>this.maxCharWidth){b.label=b.label.substring(0,this.maxCharWidth-3)+"..."}}a.setAttribute("label",b.label)}if(b.icon!==null){a.setAttribute("image",b.icon)}if(b.tooltip!==null){a.setAttribute("tooltiptext",b.tooltip)}}else{if(b===null){ATB.Logger.warn("Dynamic Buttons (Simple) renderData (",this.getXULElementId(),"): processed data was null. Showing default button icon+text instead (for now).");this.setDefaultIconAndLabel()}}};ATB_DynamicButton.Simple.prototype.enableRendering=function(a){if(a){var b=ATB.Cache.getValue(this._xulElementId);if(b){this.getXULElement().setAttribute(ATB_DynamicButton.RENDERING_ENABLED_ATTR,"true");this.renderData(b)}}else{this.getXULElement().setAttribute(ATB_DynamicButton.RENDERING_ENABLED_ATTR,"false");this.setDefaultIconAndLabel()}};ATB_DynamicButton.Ticker=function(a){ATB.Logger.info("Instantiating Ticker button class.");this._buttonType=ATB_DynamicButton.TICKER_BUTTON_TYPE;this._xulElementId=a.id;if(!this._xulElementId){ATB.Logger.error("The dynamic button must have a unique ID.");return null}this._initButtonProps(a)};ATB_DynamicButton.Ticker.prototype=new ATB_DynamicButton();ATB_DynamicButton.Ticker.prototype._dataRendered=false;ATB_DynamicButton.Ticker.prototype.renderData=function(a){ATB.Logger.debug("Ticker.renderData");try{this.getXULElement().setTickerItems(a);if(!this._dataRendered){this._dataRendered=true;if(this.renderingEnabled){this.enableRendering(true)}}}catch(b){ATB.Logger.error("Error calling setTickerItems: ",b)}};ATB_DynamicButton.Ticker.prototype.enableRendering=function(a){if(a){var b=ATB.Cache.getValue(this._xulElementId);if(b){this.getXULElement().setAttribute(ATB_DynamicButton.RENDERING_ENABLED_ATTR,"true");this.getXULElement().setTickerItems(b);this.getXULElement().tick(true)}}else{this.getXULElement().setAttribute(ATB_DynamicButton.RENDERING_ENABLED_ATTR,"false");this.getXULElement().tick(false);this.setDefaultIconAndLabel()}};ATB_DynamicButton.Ticker.prototype.processData=function(f){ATB.Logger.debug("Ticker.processData");this._requestTOFlag=true;if(!this._processorSandbox){ATB.Logger.error("Processor sandbox unavailable.");return}ATB.Logger.info("Calling processSourceData on sandbox.");var a;try{a=this._processorSandbox.processSourceData(f)}catch(d){ATB.Logger.error("Unable to call processSourceData on sandbox: ",d)}if(a){ATB.Logger.info("Processed data successfully.");ATB.Logger.debug("Processed data: ",ATB.Utils.jsonStringify(a));for(var b=0;b<a.length;b++){a[b].label=a[b].title}for(var b=0;b<a.length;b++){if(!a[b].label||!a[b].link){a.splice(b,1)}}var c=this;ATB.Cache.put(this._xulElementId,a,this.refreshInterval,"ATB_DynamicButton.handleCacheRefresh");this.renderData(a);ATB.DynamicButtonManager.callRenderDataOnOtherWindowsForButton(this._xulElementId,a)}else{ATB.Logger.error("Unable to process source data using the sandbox.")}};