/*
 * Copyright (C) 2008-2010 APN, LLC. All rights reserved
 * 
 * Ask.com Toolbar - Widgets JavaScript module. Author: Vishal Shah
 * Description: Contains functions and logic required for feeds.
 */
var ATB_Feeds=function(){this.FEED_PREFIX="feed-";this.feedMenuPopupTimestamps=[];this.feedsCache=[];this.feedsUpdateTimestamps=[];this.feedsRefreshInterval=null;this.init()};ATB_Feeds.prototype={init:function(){ATB.Logger.info("Start *Feeds* Init...");this.cacheFeeds(true);this.setPeriodicIntervalForFeedRefresh();ATB.Logger.info("End *Feeds* Init...")},setPeriodicIntervalForFeedRefresh:function(){var a=ATB.Prefs.getFeedRefreshInterval();ATB.Logger.info("Setting periodic refresh interval handle for feeds: ",a);this.feedsRefreshInterval=window.setInterval(this.feedRefreshInterval,a)},unload:function(){window.clearInterval(this.feedsRefreshInterval)},feedRefreshInterval:function(){ATB.Logger.info("Periodic interval event occured: Updating feed caches...");ATB.Feeds.cacheFeeds();ATB.Logger.info("Feed caches updated. Periodic interval process complete.")},cacheFeeds:function(d){var e=ATB.Core.getButtonNodesWithAttr("feed");var c=ATB.Core.getPrefetchDelay();for(var b=0,a=0;b<e.length;b++){if(d&&ATB.Core.isMasterToolbar()){this.cacheFeedForButton(e[b],c*a++)}else{this.cacheFeedForButton(e[b],-1)}}},cacheFeedForButton:function(c,a){if(c==null){ATB.Logger.error("Null button node argument to cacheFeedForButton().");return}ATB.Logger.info("Caching feed for button: ",c.id);if(ATB.Cache){ATB.Cache.put(this.FEED_PREFIX+c.id,[],null,null)}else{this.feedsUpdateTimestamps[this.FEED_PREFIX+c.id]=new Date()}var d=c.getAttribute("feed");ATB.Logger.info("Macro'd feedUrl: ",d);d=ATB.Core.getCompleteUrl(d);ATB.Logger.info("Fetching the feed contents *asynchronously* from: ",d);var b=new Array();b.feedButton=c;b.prefetchDelay=a;ATB.Net.getResponseXMLFromUrlAsynchronously(d,this.processFeedResponse,b);return},processFeedResponse:function(o,a,b){if(a){try{var f=b.feedButton;var d=b.prefetchDelay;var z=((d!=-1)&&f.hasAttribute(ATB.Constants.BTN_TYPE_PREFETCH)&&f.getAttribute(ATB.Constants.BTN_TYPE_PREFETCH)=="true");var s=ATB.Feeds.getSyndicationType(a);if(s){ATB.Logger.info("Received (",s,") feed data. Processing.. ");var r=null;if(s=="rss"){r=a.getElementsByTagName("channel")}else{r=a.getElementsByTagName("feed")}if(r&&r.length>0){var k=r[0];if(k&&Node.ELEMENT_NODE==k.nodeType){var q=null;if(s=="rss"){q=k.getElementsByTagName("item")}else{q=k.getElementsByTagName("entry")}ATB.Logger.info('Found "',q.length,'" entries in the feed: ',o);var v=null,x=null,m=null;var p=[];var g=ATB.Utils.getMaxEntriesForButton(f.id);var A=ATB.Feeds.getFeedTypeForButton(f.id);ATB.Logger.debug("==> Using feedType: ",A," and maxEntries: ",g);for(var u=0;u<g;++u){v=q.item(u);if(v&&Node.ELEMENT_NODE==v.nodeType){ATB.Logger.debug('Processing entry with tag name "',v.nodeName,'" at index ',u);x=v.getElementsByTagName("title")[0];if(x&&x.textContent.length>0){var B=x.textContent;ATB.Logger.debug("==> title: ",B);m=v.getElementsByTagName("link");var j=null;if(s=="rss"){var l=m[0];if(l&&l.textContent.length>0){j=l.textContent;ATB.Logger.debug("==> link: ",j)}}else{if(m&&m.length>0){if(m.length==1){j=m[0].getAttribute("href")}else{var w=null;for(var n=0;n<m.length;++n){w=m[n].getAttribute("rel");if(w&&w.length>0){if(w=="alternate"){j=m[n].getAttribute("href");break}}}if(j==null||j.length==0){j=m[0].getAttribute("href")}}}ATB.Logger.debug("==> link: ",j)}var e=null;if(A&&A==ATB.Constants.ATB_FEED_WITH_IMAGES_BUTTON_TYPE){e=ATB.Feeds.parseImageLinkIfAvailable(v,s);ATB.Logger.debug("==> imageLink: ",e)}var c=v.getAttribute(ATB.Constants.ATB_REPORTING_ANALYTICS_ID)||null;if(B&&B.length>0&&j&&j.length>0){var h=[B,j,e,c];ATB.Logger.debug("Caching feed entry: ",h);p.push(h);if(z){var y=ATB.Core.getInnerUrl(j,true);ATB.Logger.debug("Prefetch FEED entry: Setting fetch delay -- ",f.id,", ",d);window.setTimeout(ATB.Prefetch.prefetchWrapper(y,f.id),d)}}}}}if(ATB.Cache){ATB.Cache.put(ATB.Feeds.FEED_PREFIX+f.id,p,null,null)}else{ATB.Feeds.feedsCache[ATB.Feeds.FEED_PREFIX+f.id]=p}}ATB.Logger.info("Processing complete. Cached ",'"',p.length,'" feed entries: ',ATB.Utils.jsonStringify(p))}}else{ATB.Logger.error("Unable to identify feed type. responseXML: ",a)}}catch(t){ATB.Logger.error("Error processing feed. Error: ",t)}}else{ATB.Logger.error('Error retrieving feed (empty response received). Make sure the feed URL is "escaped" in the config file. Feed URL: ',o)}return},getSyndicationType:function(d){var c=null;var b=d.getElementsByTagName("channel");var a=d.getElementsByTagName("feed");if(b&&b.length>0){c="rss"}else{if(a&&a.length>0){c="atom"}}return c},parseImageLinkIfAvailable:function(e,c){var d=null;ATB.Logger.debug("Searching for a image url in the media:thumbnail node..");var b=e.getElementsByTagNameNS("http://search.yahoo.com/mrss/","thumbnail")[0];if(b&&typeof(b)!="undefined"){d=b.getAttribute("url");ATB.Logger.debug("==> Found under media:thumbnail: ",d)}if(!d||typeof(d)=="undefined"||d.length==0){ATB.Logger.debug("Searching for a image url in the channel/item/image/url node..");var i=e.getElementsByTagName("image")[0];if(i&&typeof(i)!="undefined"){var a=i.getElementsByTagName("url")[0];if(a&&typeof(a)!="undefined"){d=a.textContent;ATB.Logger.debug("==> Found under channel/item/image/url: ",d)}}}if(!d||typeof(d)=="undefined"||d.length==0){ATB.Logger.debug("Searching for a image url in the description node..");var g=null;if(c=="rss"){g=e.getElementsByTagName("description")[0]}else{g=e.getElementsByTagName("content")[0]}if(g&&g.textContent.length>0){var f=g.textContent;var h=f.match(/img\s+src=["'](http.+?)["']/);if(h&&h.length>1){d=h[1];ATB.Logger.debug("==> Found under description: ",d)}}}return d},getFeedUpdateTimestamp:function(b){if(ATB.Cache){var a=ATB.Cache.get(this.FEED_PREFIX+b.id);return(a)?a.modified:null}else{return this.feedsUpdateTimestamps[this.FEED_PREFIX+b.id]}},setFeedUpdateTimestamp:function(c,b){var d=this.FEED_PREFIX+c.id;var a=ATB.Cache?ATB.Cache.get(d):this.feedsUpdateTimestamps[d];if(a){if(ATB.Cache){ATB.Cache.put(d,a.value,a.refresh,a.callback)}else{this.feedsUpdateTimestamps[d]=b}}},getFeedEntriesFromCache:function(b){if(ATB.Cache){var a=ATB.Cache.get(this.FEED_PREFIX+b.id);ATB.Logger.debug("getFeedEntriesFromCache returning entries (displayed as JSON): ",ATB.Utils.jsonStringify(a.value));return(a)?a.value:[]}else{return this.feedsCache[this.FEED_PREFIX+b.id]}},clearFeedButtonMenuEntries:function(e){if(e){var d=new Array();var c=document.getElementById(e.id+"-menu");ATB.Logger.debug("Removing feed menu entries for button: ",e.id,". Feed menu node: ",c.id);if(c){var b=c.childNodes;for(var a=0;a<b.length;a++){if(b[a]&&typeof(b[a])!="undefined"&&Node.ELEMENT_NODE==b[a].nodeType){if(b[a].getAttribute("class").indexOf("asktb-feed-item")>0){ATB.Logger.debug("Removing feed menu item: ",b[a].label);d.push(b[a])}}}for(var a=0;a<d.length;a++){c.removeChild(d[a])}}else{ATB.Logger.error('feedMenu node for button: "',e.id,'" can not be located. It must *not* be using the buttonid + "-menu" convention. This is a FATAL error.')}}else{ATB.Logger.error("Clearing feed menu entries *aborted*. feedButton is null. This is a FATAL error.")}return},getFeedTypeForButton:function(a){return document.getElementById(a).getAttribute("feedType")},showFeedItems:function(a,b){ATB.Logger.debug('Showing feed popup for: "',b.id,'". Identifying whether the feed cache has been updated since last popup...');if(!this.feedMenuPopupTimestamps[b.id]){ATB.Logger.info("Feed popup shown for the first time. Adding feed entries (if any, should be cached at start-up if user is online) from the cached feed.");this.feedMenuPopupTimestamps[b.id]=new Date();this.updateFeedEntriesFromCache(a,b)}else{if(ATB.Feeds.getFeedUpdateTimestamp(b)>this.feedMenuPopupTimestamps[b.id]){ATB.Logger.info("Feed cache has been refreshed since last popup shown. Updating entries...");this.updateFeedEntriesFromCache(a,b);this.feedMenuPopupTimestamps[b.id]=new Date()}else{ATB.Logger.info("Cached feed has not been updated since last menu popup. Feed entries will not be updated.")}}return},updateFeedEntriesFromCache:function(r,f){ATB.Logger.debug("Updating feed entry menu items from the feeds cache for: ",f.id);var k=ATB.Feeds.getFeedEntriesFromCache(f);if(k&&k.length>0){ATB.Logger.debug("Clearing last shown feed entry menu items...");ATB.Feeds.clearFeedButtonMenuEntries(f);var u=document.getElementById(f.id+"-menu");var c=document.getElementById(f.id+"-menu-sep");var y=this.getFeedTypeForButton(f.id);var p=null,h=null,t=null,w=null,l=null,j=false;var b=null;var d=Components.classes["@mozilla.org/feed-unescapehtml;1"].getService(Components.interfaces.nsIScriptableUnescapeHTML);for(var s=0;s<k.length;++s){j=false;l=k[s];if(l&&l[0]&&l[1]){var z=d.unescape(l[0]);p=z;h=z;if(p&&p.length>45){h=p.substr(0,45);var n=h.lastIndexOf(" ");if(n>0){h=h.substr(0,n)}h+="...";j=true}t=l[1];w=l[2];b=(l.length>3)?l[3]:null;ATB.Logger.debug("Adding foll. entry to feed menu: ",h," => ",t,". Media/Image url: ",w);var a=document.createElement("menuitem");if(w&&w.length>0){a.setAttribute("image",w)}if(y&&y==ATB.Constants.ATB_FEED_WITH_IMAGES_BUTTON_TYPE){a.setAttribute("class","menuitem-iconic asktb-feed-item")}else{a.setAttribute("class","menuitem-non-iconic asktb-feed-item")}a.setAttribute("label",h);a.setAttribute("tooltiptext",p);a.setAttribute("oncommand",'ATB.Core.navigateToUrl(event, "'+t+'")');if(b){a.setAttribute(ATB.Constants.ATB_REPORTING_ANALYTICS_ID,b)}var g="reportButtonPos",v="pos";if(f.hasAttribute(g)){var q=t.split("?"),x=ATB.Utils.getUrlParamMap(t),o=x.url;if(o){var m=unescape(o);m+="&"+v+"="+f.getAttribute(g);o=escape(m);x.url=o;t=q[0]+"?";for(var e in x){t+=e+"="+x[e]+"&"}t=t.substring(0,t.length-1);if(ATB.Logger.isDebugEnabled()){ATB.Logger.debug("(CONFIG OVERWRITE) Updated url to: "+t)}}}u.insertBefore(a,c)}}}return}};