/*
 * Copyright (C) 2008-2010 APN, LLC. All rights reserved
 * References to external sources embedded in the code.
 * 
 * Ask.com Toolbar - Main JavaScript module
 * Author: Vishal V. Shah
 * Description: Contains functions related to initializing the toolbar locale and making any changes to it.
 */
var ATB_Locale=function(a){this.init(a)};ATB_Locale.prototype={init:function(a){ATB.Logger.info("Start *Locale* Init...");this.updateLocaleLangMappingPropsFile(document);this.updateLocaleSpecificAttributes(a,"asktb");ATB.Logger.info("End *Locale* Init...")},updateLocaleLangMappingPropsFile:function(c){if(!c){c=document}var d=ATB.Prefs.getToolbarLanguage(),e=ATB.Prefs.getToolbarCountryOrRegion();ATB.Logger.debug("Updating localization properties file for: ",d,", ",e);var b=c.getElementById(ATB.Constants.ATB_LOCALIZED_LABELS);if(b){this.setLocalizationBundle(d,b,ATB.Constants.ATB_LOCALIZED_LABELS);ATB.Utils.refreshNode(b)}var a=c.getElementById(ATB.Constants.ATB_LOCALIZED_LINKS);if(a){this.setLocalizationBundle(e,a,ATB.Constants.ATB_LOCALIZED_LINKS);ATB.Utils.refreshNode(a);ATB.Core.resetDefaultChannel()}},setLocalizationBundle:function(c,b,a){ATB.Logger.debug("Setting localization string bundle for bundle id: ",a,"  Locale info: ",c);b.setAttribute("src",this.getLocalizationFilename(c,a));ATB.Logger.debug("Set string bundle to: ",b.getAttribute("src"))},isLocalizationSupported:function(b,a){var c=ATB.Utils.getToolbarDocumentFromFile();if(!c){c=document}if(a==ATB.Constants.ATB_LOCALIZED_LABELS){return(ATB.Locale.getSupportedToolbarLangs(c)[b]!==undefined)}else{if(a==ATB.Constants.ATB_LOCALIZED_LINKS){return(ATB.Locale.getSupportedToolbarLocales(c)[b]!==undefined)}}ATB.Logger.error("isLocalizationSupported: Unknown localization type (",a,"). Locale info is: ",b);return false},getLocalizationFilename:function(g,f){var e="chrome://asktoolbar/skin/",c="/chrome/skin/";var d=this.generateLocalizationFilename(g,f);var a=e+d;var b=ATB.Utils.getFileHandleUnderInstallLocation(c+d);if(!b.exists()){ATB.Logger.error("Error checking string properties for: ",c,d,". File not found. Using default instead.");a=e+this.generateLocalizationFilename(null,f)}return a},generateLocalizationFilename:function(b,a){if(!b&&(a==ATB.Constants.ATB_LOCALIZED_LABELS)){b=ATB.Defaults.ATB_DEFAULT_LANG}else{if(!b&&(a==ATB.Constants.ATB_LOCALIZED_LINKS)){b=ATB.Defaults.ATB_DEFAULT_COUNTRY_OR_REGION}}if(a==ATB.Constants.ATB_LOCALIZED_LABELS){return"labels-"+b+".properties"}else{if(a==ATB.Constants.ATB_LOCALIZED_LINKS){return"links-"+b+".properties"}}ATB.Logger.error("generateLocalizationFilename: Unknown localization file type (",a,"). Locale info is: ",b);return""},updateLocaleSpecificAttributes:function(g,d,a,f){if(typeof(a)=="undefined"||a==null){a=document}if(typeof(f)=="undefined"||f==null){f=document}ATB.Logger.debug('updateLocaleSpecificAttributes - rootNodeId: "',d,'" documentObjInContext: "',a.documentURI,'" documentObjHostingATB: "',f.documentURI,'"');ATB.Logger.info("Updating language strings and locale specific attributes..");var c=null;if(d&&d.length>0){c=a.getElementById(d)}var b=null;if(c){b=c.getElementsByTagName("*");this.updateUIStringsForLangSpecificAttributes(c,a,f)}else{ATB.Logger.info('Processing all nodes for localization update since "',d,'" can not be found in the document tree');b=a.getElementsByTagName("*")}if(b){for(var e=0;e<b.length;++e){this.updateUIStringsForLangSpecificAttributes(b[e],a,f)}}this.postProcessAfterLocaleUpdate(f);ATB.Logger.info("Updating language strings complete.");this.updateSearchSuggestionsSettings()},updateSearchSuggestionsSettings:function(){var a=ATB.Prefs.getToolbarLocale();ATB.Logger.info("Updating Search Suggestions Settings.");if((a.match("US")=="US"||a.match("UK")=="UK")&&!(ATB.Utils.getBrowserVersion()<3)){ATB.Logger.info("Locale is :",a," ,thus enabling search suggestions.");ATB.Prefs.setSSEnabled(true)}else{ATB.Logger.info("Locale is not UK or US, it is:",a," ,thus disabling search suggestions.");ATB.Prefs.setSSEnabled(false)}var b=document.getElementById("asktb-suggestions-popup-chlink");if(b){this.updateUIStringsInNode(b,"value",document,document)}b=document.getElementById("asktb-searchhistory-popup-chlink");if(b){this.updateUIStringsInNode(b,"value",document,document)}},updateUIStringsForLangSpecificAttributes:function(c,a,b){this.updateUIStringsInNode(c,"toolbarname",a,b);this.updateUIStringsInNode(c,"label",a,b);this.updateUIStringsInNode(c,"tooltiptext",a,b);this.updateUIStringsInNode(c,"value",a,b);this.updateUIStringsInNode(c,"title",a,b);this.updateUIStringsInNode(c,"emptytext",a,b);this.updateUIStringsInNode(c,"tab",a,b);this.updateUIStringsInNode(c,"image",a,b)},updateUIStringsInNode:function(c,e,a,b){var f=c.getAttribute(e+"-localekey");if(typeof(f)!="undefined"&&f!=null&&f.length>0){var d=ATB.Utils.getLocalizedStringForKey(f,b);if(d&&d.length>0){c.setAttribute(e,d);ATB.Logger.debug("For node: ",c.id,' - Updated "',e,'" attribute. Key: ',f,' to its localized version: "',d,'" for node with id: ',c.id);if(e=="title"){a.title=d}}}},postProcessAfterLocaleUpdate:function(b){this.removeNodesUnsupportedForCurrentLocale();if(typeof(b)=="undefined"||b==null){b=document}if(b.getElementById("asktb-searchbox")){b.getElementById("asktb-searchbox").focus()}var a=ATB.Utils.getBrowserVersion();if(a>=3){window.focus()}},removeNodesUnsupportedForCurrentLocale:function(){var b=ATB.Prefs.getToolbarLocale();if(!b){b=ATB.Defaults.ATB_DEFAULT_LOCALE}if(b&&b.length>0){ATB.Logger.info('Hiding unsupported nodes from the XUL config. Finding nodes that have the "unsupportedForLocales" attribute set...');var c=ATB.Utils.getDocObjHostingATB().getElementById("asktb");var f=ATB.Utils.getChildNodesWithAttribute(c,"unsupportedForLocales");var e=ATB.Utils.getChildNodesWithAttribute(c,"supportedForLocales");if(f&&f.snapshotLength>0){ATB.Logger.debug(f.snapshotLength,' nodes found to have "unsupportedForCertainLocaleNodes" attribute set.');var a=null,g=null;for(var d=0;d<f.snapshotLength;++d){a=f.snapshotItem(d);if(a){g=a.getAttribute("unsupportedForLocales");if(g&&g.length>0){if(b.match(g)){ATB.Logger.debug("Hiding ",a.getAttribute("label")," with unsupportedlocales:",a.getAttribute("unsupportedForLocales"),', since it *IS NOT* supported for the current locale: "',b,'"');a.style.display="none"}else{ATB.Logger.debug("NOT Hiding ",a.getAttribute("label")," with unsupportedlocales:",a.getAttribute("unsupportedForLocales"),', since it *IS* supported for the current locale: "',b,'"');a.style.display=""}}}}}if(e&&e.snapshotLength>0){ATB.Logger.debug(e.snapshotLength,' nodes found to have "supportedForCertainLocaleNodes" attribute set.');a=null,supportedLocales=null;for(d=0;d<e.snapshotLength;++d){a=e.snapshotItem(d);if(a){supportedLocales=a.getAttribute("supportedForLocales");if(supportedLocales&&supportedLocales.length>0){if(b.match(supportedLocales)==null){ATB.Logger.debug("Hiding ",a.getAttribute("label")," with supportedlocales:",a.getAttribute("supportedForLocales"),', since it *IS NOT* supported for the current locale: "',b,'"');a.style.display="none"}else{ATB.Logger.debug("NOT Hiding ",a.getAttribute("label")," with supportedlocales:",a.getAttribute("supportedForLocales"),', since it *IS* supported for the current locale: "',b,'"');a.style.display=""}}}}}}return},isElementSupported:function(b,a){if(!a){a=ATB.Prefs.getToolbarLocale()}var d=(b.hasAttribute("supportedForLocales"))?b.getAttribute("supportedForLocales"):"";if(d&&(a.match(d)==null)){return false}var c=(b.hasAttribute("unsupportedForLocales"))?b.getAttribute("unsupportedForLocales"):"";if(c&&(a.match(c)!=null)){return false}return true},getSupportedToolbarLangs:function(b){if(!b){b=ATB.Utils.getDocObjHostingATB()}var a=b.getElementById("asktb").getAttribute("supported-langs");var c=null;if(a&&a.length>0){c=ATB.Utils.jsonEval(a)}if(!c){c={en:"English"}}return c},getSupportedToolbarLocales:function(c){if(!c){c=ATB.Utils.getDocObjHostingATB()}var b=c.getElementById("asktb").getAttribute("supported-locales");var a=null;if(b&&b.length>0){a=ATB.Utils.jsonEval(b)}if(!a){a={US:"United States of America"}}return a},validateToolbarLocale:function(){var a=ATB.Prefs.getToolbarLocale(),b=ATB.Defaults.ATB_DEFAULT_LOCALE;ATB.Logger.info("Validating locale for the toolbar (using toolbar files). Current locale: ",a);if(a){var c=a.split("_");if(!this.isLocalizationSupported(c[0],ATB.Constants.ATB_LOCALIZED_LABELS)){c[0]=ATB.Defaults.ATB_DEFAULT_LANG}if(!this.isLocalizationSupported(c[1],ATB.Constants.ATB_LOCALIZED_LINKS)){c[1]=ATB.Defaults.ATB_DEFAULT_COUNTRY_OR_REGION}b=c.join("_")}if(a!=b){ATB.Logger.warn("New locale set. Updating locale specific attributes to: ",b);ATB.Prefs.setToolbarLocale(b);ATB.Utils.writeRegistryEntryInMacroFolderAsStr(b)}else{ATB.Logger.info("Locale validated. Keeping it.")}}};