/*
 * Copyright (C) 2008-2010 APN, LLC. All rights reserved
 * References to any external sources are embedded in the code.
 * 
 * Author: Christine Hodges
 * Description: Manages web browsers embedded in toolbar
 */
var ATB_WebFrameManager=function(){this.init()};ATB_WebFrameManager.prototype={_webListener:null,_networkLinkObserver:null,_blockContentActivation:true,init:function(){try{if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("Start *Web Frame* Init")}this._webListener=new ATB_CustomCommandListener(true);if(ATB.Net.isNetworkAvailableForContent()){this.initializeWebframes()}else{this._networkLinkObserver=new ATB_SimpleTopicObserver("network:link-status-changed",this.onNetworkLinkStatusChange,this);if(ATB.Logger.isWarnEnabled()){ATB.Logger.warn("Web frame: No internet connection detected on init! Will load content when network connection returns.")}this.initializeNoConnectionState()}}catch(a){if(ATB.Logger.isErrorEnabled()){ATB.Logger.error("*Web Frame* Init failed to set current web frames: "+a+" Details: "+ATB.Utils.jsonStringify(a))}}finally{if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("End *Web Frame* Init...")}}},initializeWebframes:function(){this._blockContentActivation=false;var d=document.getElementById("asktb");var a=ATB.Utils.getElementsByClassName(ATB.Constants.BTN_TYPE_CLASS_WEBFRAME_SOLO,d);if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("Web Frame Full Init: free (solo) web frames found: "+a.length)}for(var c=0;c<a.length;c++){a[c].activationBlocked=this._blockContentActivation;a[c].activateContent(this._webListener)}var b=function(f,e){this.setFramesetItem(f,e,true)};this._applyFunctionToFramesets(b,this)},initializeNoConnectionState:function(){var c=document.getElementById("asktb"),a=ATB.Utils.getElementsByClassName(ATB.Constants.BTN_TYPE_CLASS_WEBFRAME_SOLO,c),d;ATB.Logger.info("Found "+a.length+" solo web frames.");for(var b=0;b<a.length;b++){d=a[b];ATB.Logger.info("hasNativeButton? "+d.hasNativeButton);if(d.hasNativeButton){ATB.Logger.info("Showing native button.");d.showNativeButton()}}this.toggleNoConnectionMessage(true);this._applyFunctionToFramesets(ATB.Core.updateSelectedMenuItem,ATB.Core)},_applyFunctionToFramesets:function(e,b){var f=this.getToolbarWebframeMenus();if(ATB.Logger.isDebugEnabled()){ATB.Logger.debug("Web Frame _applyFunctionToFramesets: drop down web frame controllers found: "+f.length)}for(var a=0;a<f.length;a++){var d=f[a];var c=this.getSelectedMenuItem(d);if(c){e.call(b,d,c)}}},unload:function(){if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("Unloading *Web Frame*")}var a=this.getToolbarWebframes();for(var b=0;b<a.length;b++){a[b].deactivateContent(this._webListener)}},onNetworkLinkStatusChange:function(b,a,d){var c=Components.classes["@mozilla.org/network/network-link-service;1"].getService(Components.interfaces.nsINetworkLinkService);if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("Web Frame: Network link service: status known? link up? "+c.linkStatusKnown+", "+c.isLinkUp)}if(c.linkStatusKnown&&c.isLinkUp){this._networkLinkObserver.unregister();this.toggleNoConnectionMessage(false);this.initializeWebframes();var e=function(g,f){this.setFramesetItem(g,f,false)};this._applyFunctionToFramesets(e,this)}},toggleNoConnectionMessage:function(a){if(a){document.getElementById("asktb-offline-message-box").collapsed=false}else{document.getElementById("asktb-offline-message-box").collapsed=true}},getToolbarWebframes:function(a){return ATB.Utils.getElementsByClassName(ATB.Constants.CLASS_ID_WEBFRAMES,a)},getToolbarWebframeMenus:function(a){return ATB.Utils.getElementsByClassName(ATB.Constants.CLASS_ID_WEBFRAME_MENUS,a)},getSelectedMenuItem:function(a){return(a.hasAttribute(ATB.Constants.ATTR_DROP_DOWN_CURRENT_ITEM))?document.getElementById(a.getAttribute(ATB.Constants.ATTR_DROP_DOWN_CURRENT_ITEM)):null},setFramesetItem:function(a,c,b){if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("Web Frame: setting frameset for menu item: "+c.getAttribute("id"))}this._deactivatePreviousFrameset(a);this._activateFrameset(a,c,b);ATB.Core.updateSelectedMenuItem(a,c)},onFramesetSelected:function(c){var b=c.target;if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("Web Frame: menu button selected : "+b.getAttribute("id"))}try{var a=b.parentNode.parentNode;ATB.WebFrameManager.setFramesetItem(a,b)}catch(d){if(ATB.Logger.isErrorEnabled()){ATB.Logger.error("Web Frame: error updating menu to: "+b.getAttribute("id")+" Error: "+d)}}},_activateFrameset:function(a,f,e){var g=f.getAttribute("id");if(ATB.Logger.isInfoEnabled()){ATB.Logger.info("Web Frame: ACTIVATING browsers for: "+g)}var c=document.getElementById("asktb"),b=c.getElementsByAttribute("framesetid",g);if(ATB.Logger.isDebugEnabled()){ATB.Logger.debug("Web Frame: Number of webframes to activate: "+b.length)}for(var d=0;d<b.length;d++){b[d].activationBlocked=this._blockContentActivation;if(e){b[d].preactivateContent(this._webListener)}else{b[d].activateContent(this._webListener)}}},_deactivatePreviousFrameset:function(a){var e=this.getSelectedMenuItem(a);if(e){var c=document.getElementById("asktb"),b=c.getElementsByAttribute("framesetid",e.getAttribute("id"));if(ATB.Logger.isDebugEnabled()){ATB.Logger.debug("Web Frame: Number of webframes to deactivate: "+b.length)}for(var d=0;d<b.length;d++){b[d].deactivateContent(this._webListener)}}},testTbScriptFunction:function(a){alert("a="+a.a+" b="+a.b)}};