/*
 * Copyright (C) 2008-2010 APN, LLC. All rights reserved
 * 
 * Ask.com Toolbar - Widgets JavaScript module. Author: Tanmay Shrivastava 
 * Description: Contains functions and logic required for widgets.
 */
ATB_Widgets=function(){this.widgetWin=null;this.popupWindows={};this.winId=new Date().getTime();this.widgetLabelChanged=false;this.widgetWebProgressListener=new ATB_CustomCommandListener(true);this.init()};ATB_Widgets.prototype={init:function(){ATB.Logger.info("Start *Widgets* Init...");if(ATB.Cache){this.initRefreshCachedWidgetsDataAndUpdateUI()}this.setAutoUpdateButtonStateTimers();this.closeAllPrevWidgetDropdowns();ATB.Logger.info("End *Widgets* Init...");return},setAutoUpdateButtonStateTimers:function(){window.setTimeout(ATB.Events.handleButtonStateChanges,2000)},initRefreshCachedWidgetsDataAndUpdateUI:function(){try{var a=ATB.Core.getButtonNodesWithAttr("widget-url");for(var f=0;f<a.length;++f){if(a[f].hasAttribute("cache-key")){var k=a[f].hasAttribute("widget-refresh-interval")?parseInt(a[f].getAttribute("widget-refresh-interval")):0;var g=a[f].hasAttribute("meta-refresh-interval")?parseInt(a[f].getAttribute("meta-refresh-interval")):0;var b=a[f].getAttribute("cache-key");var e=a[f].getAttribute("cache-key")+"-meta";var l=ATB.Cache.getValue(b);var h=this.refreshWidgetIfCacheValueEmptyOrNull(b,l,k);var d=ATB.Cache.getValue(e);var c=this.refreshWidgetIfCacheValueEmptyOrNull(e,d,g);if(!c&&g){ATB.Logger.debug("Updating Widget Button *Meta* UI from cache");this.updateWidgetButtonMetaUI(a[f].getAttribute("id"),d)}}}}catch(j){ATB.Logger.error("Initialization of cached widgets failed",j)}},refreshWidgetIfCacheValueEmptyOrNull:function(b,c,a){if(a>0){if(!c||c==""){ATB.Logger.debug("Widget data not found in cache, so  initating cache refresh for key :",b);this.refreshCachedWidgetDataForKey(b,true);return true}return null}ATB.Logger.debug(b," : doesnt need to be cached as refreshInterval is",a);return false},refreshCachedWidgetDataForKey:function(f,h){try{if(typeof h=="undefined"){h=false}var c=f.search(/-meta/)!=-1?true:false;var b=new Array();b.cacheKey=f;if(ATB.Core.isMasterToolbar()||h){ATB.Logger.debug("Detected mastertoolbar or forced update,Refreshing Widget data for cacheKey :",f);var e="asktb-btn-"+f.replace(/\-meta/,"");var a=null;var i=null;if(c){a=ATB.Core.getCompleteUrl(document.getElementById(e).getAttribute("meta-url"),true);i=h?this.processResponseFromWidgetMetaUrl:ATB.Widgets.processResponseFromWidgetMetaUrl}else{a=ATB.Core.getCompleteUrl(document.getElementById(e).getAttribute("widget-url"),true);i=h?this.processResponseFromWidgetContentUrl:ATB.Widgets.processResponseFromWidgetContentUrl}ATB.Logger.debug("Refreshing Widget contents with cacheKey:",f," for URL :",a);ATB.Net.getBinaryResponseTextFromUrlAsynchronously(a,i,b)}else{if(c){ATB.Logger.debug("Not the master window, thus only updating button meta from cache");var d=h?this:ATB.Widgets;d.processResponseFromWidgetMetaUrl(null,ATB.Cache.getValue(f),b)}}}catch(g){ATB.Logger.error("Error refreshing widget data for cacheKey:",f,". Error: ",g)}},processResponseFromWidgetMetaUrl:function(a,d,c){var h=c.cacheKey;var g=("asktb-btn-"+h).replace(/-meta/,"");var e=document.getElementById(g).getAttribute("meta-refresh-interval");var j="ATB.Widgets.refreshCachedWidgetDataForKey";if(ATB.Core.isMasterToolbar()){ATB.Logger.debug("Updating cache for key:",h,", value (escaped):",window.escape(d),", refreshInterval:",e,", callback:",j);ATB.Cache.put(h,d,e,j)}var i=ATB.Cache.getValue(h);ATB.Widgets.updateWidgetButtonMetaUI(g,i);var f=ATB.Utils.getAllBrowserWindows();while(f.hasMoreElements()){var b=f.getNext();if(b&&(b!=window)&&b.ATB.Widgets){ATB.Logger.debug("Calling the updateWidgetButtonMetaUI for window: ",b);b.ATB.Widgets.updateWidgetButtonMetaUI(g,i)}}},processResponseFromWidgetContentUrl:function(b,d,e){var f=e.cacheKey;var c="asktb-btn-"+f;var a=parseInt(document.getElementById(c).getAttribute("widget-refresh-interval"));var g="ATB.Widgets.refreshCachedWidgetDataForKey";ATB.Logger.debug("Updating cache for key:",f,", value (escaped):",window.escape(d),", refreshInterval:",a,", callback:",g);ATB.Cache.put(f,d,a,g)},updateWidgetButtonMetaUI:function(c,d){ATB.Logger.debug("Updating button meta UI changes.");if(typeof d=="string"){d=(new DOMParser()).parseFromString(d,"text/xml")}var e=document.getElementById(c).getAttribute("label");function b(f,i,h){try{if(d.getElementsByTagName(i)&&d.getElementsByTagName(i)[0]){if(h){document.getElementById(c).setAttribute(f,"data:image/x-icon;base64,"+d.getElementsByTagName(i)[0].childNodes[0].nodeValue)}else{document.getElementById(c).setAttribute(f,d.getElementsByTagName(i)[0].childNodes[0].nodeValue)}return true}return false}catch(g){ATB.Logger.warn("updateWidgetButtonMetaUI: Error while processing",i,":",g);return false}}if(b("label","title",false)){var a=d.getElementsByTagName("title")[0].childNodes[0].nodeValue;if(a.length>e.length){this.widgetLabelChanged=true;ATB.Logger.debug("Label length increased for button:",c,", from ",e," to ",a);ATB.Events.handleTbButtonAreaNarrowing(ATB.Utils.getAvailableBrowserWidth())}else{if(a.length<e.length){this.widgetLabelChanged=true;ATB.Logger.debug("Label length decreased for button:",c,", from ",e," to ",a);ATB.Events.handleTbButtonAreaWidening(ATB.Utils.getAvailableBrowserWidth())}else{ATB.Logger.debug("Label length same for button:",c,",  New Label - ",a,", Old Label - ",e)}}}b("tooltiptext","description",false);b("image","icon",true);return},getWidgetLabelChanged:function(){return ATB.Widgets.widgetLabelChanged},setWidgetLabelChanged:function(a){ATB.Widgets.widgetLabelChanged=a},closeAllPrevWidgetDropdowns:function(){try{var b=ATB.Utils.getAllBrowserWindows();while(b.hasMoreElements()){var c=b.getNext();if(c&&(c!=window)&&c.ATB.Widgets){c.focus();c.blur()}}}catch(a){ATB.Logger.warn("Error while closing all previous widget dropdowns, Error :",a)}return false},closeWidgetOnFocus:function(){ATB.Logger.debug("Main window got focus.");window.removeEventListener("focus",ATB.Widgets.closeWidgetOnFocus,true);if(ATB.Widgets.widgetWin&&!ATB.Widgets.widgetWin.closed){ATB.Logger.debug("Closing the widget window:",ATB.Widgets.widgetWin.name,"as Main window got the focus");ATB.Widgets.widgetWin.close()}var b=ATB.Widgets.popupWindows;for(var a in b){if(b[a]!=null&&b[a].focus){b[a].focus();b[a].blur()}}if(ATB.Notifications&&ATB.Notifications.notificationWin){ATB.Notifications.notificationWin.focus();ATB.Notifications.notificationWin.blur()}window.focus()},closeWidgetIfOpen:function(){if(this.widgetWin&&!this.widgetWin.closed){ATB.Logger.debug("Closing the widget window:",this.widgetWin.name);this.widgetWin.close()}},getAllPopupWindows:function(){return this.popupWindows},openWidget:function(b,a){if(a=="widget"){this.openWidgetDropdownWindow(b,null)}else{if(a=="popup"){this.openWidgetPopupWindow(b,null)}}},openWidgetDropdownWindow:function(j,i){try{ATB.Logger.debug("ATB.Widgets.openWidget() called to open widget");this.closeWidgetIfOpen();window.addEventListener("focus",this.closeWidgetOnFocus,true);var d="widget";var l=300,m=300,k=600,e=600,t=8,q=8,a="yes",f="no",c="no",u="";var b="chrome://asktoolbar/content/widget-popup.xul";var s=window.screen.availHeight;var n=window.screen.availWidth;var g=null;var r=null;var h=null;if(j){g=j.hasAttribute("cache-key")?j.getAttribute("cache-key"):null;r=ATB.Core.getCompleteUrl(j.getAttribute("widget-url"));h=j.getAttribute("label");l=parseInt(j.getAttribute("widget-height"))+t;m=parseInt(j.getAttribute("widget-width"))+q;k=j.boxObject.screenY+j.boxObject.height;e=j.boxObject.screenX;if(ATB.Core.isItemInOverflowMenu(j)){k=k-j.boxObject.height;e=e-m-4}}else{if(windowParamsMap!="undefined"){r=unescape(windowParamsMap.url);r=ATB.Core.getCompleteUrl(r);h=windowParamsMap.title?windowParamsMap.title:"ATB Toolbar Popup";l=windowParamsMap.height?(parseInt(windowParamsMap.height)+t):l;m=windowParamsMap.width?(parseInt(windowParamsMap.width)+q):m;k=windowParamsMap.top?parseInt(windowParamsMap.top):((window.screen.availHeight/2)-(l/2));e=windowParamsMap.left?parseInt(windowParamsMap.left):((window.screen.availWidth/2)-(m/2));f=windowParamsMap.resizable?windowParamsMap.resizable:f;a=windowParamsMap.scroll?windowParamsMap.scroll:a}}k=(s-k)>l?k:(s-l);if(e<0){e=0}else{if((n-e)<m){e=n-m}}var p="chrome,titlebar=no,dependent=yes,height="+l+",width="+m+",left="+e+",top="+k+",resizable="+f+",alwaysraised="+c+u;var v=this.winId+"-"+h+"-"+r;ATB.Logger.debug("Opening a widget window:",v);this.widgetWin=window.openDialog(b,v,p,g,r,h,d,a,f)}catch(o){ATB.Logger.error("Error while opening widget, Error :",o)}},openWidgetPopupWindow:function(i,h){try{ATB.Logger.debug("ATB.Widgets.openPopup() called to open popup");this.closeWidgetIfOpen();var c="popup";var f=null;var r=null;var g=null;var q=window.screen.availHeight;var m=window.screen.availWidth;var k=300,l=300,j=600,d=600,s=45,p=2,a="yes",e="yes",b="yes",t="";xulPath="chrome://asktoolbar/content/widget-popup.xul";if(i!=null){f=i.hasAttribute("cache-key")?i.getAttribute("cache-key"):null;r=ATB.Core.getCompleteUrl(i.getAttribute("widget-url"));g=i.getAttribute("label");k=parseInt(i.getAttribute("widget-height"))+s;l=parseInt(i.getAttribute("widget-width"))+p;j=i.boxObject.screenY+i.boxObject.height;d=i.boxObject.screenX;t="";if(ATB.Core.isItemInOverflowMenu(i)){i.parentNode.hidePopup();j=j-i.boxObject.height;d=d-l-4}}else{if(h!="undefined"){r=unescape(h.url);r=ATB.Core.getCompleteUrl(r);g=h.title?h.title:"ATB Toolbar Popup";k=h.height?(parseInt(h.height)+s):k;l=h.width?(parseInt(h.width)+p):l;j=h.top?parseInt(h.top):((window.screen.availHeight/2)-(k/2));d=h.left?parseInt(h.left):((window.screen.availWidth/2)-(l/2));e=h.resizable?h.resizable:e;a=h.scroll?h.scroll:a}}j=(q-j)>k?j:(q-(k+25));if(d<0){d=0}else{if((m-d)<l){d=m-(l+25)}}var u=this.winId+"-"+g+"-"+r;if(typeof(this.getAllPopupWindows()[u])!="undefined"){this.getAllPopupWindows()[u].focus();return}var o="chrome,titlebar=no,dependent=yes,height="+k+",width="+l+",left="+d+",top="+j+",resizable="+e+",alwaysraised="+b+t;ATB.Logger.debug("Opening a popup window with params:",o);this.popupWindows[u]=window.openDialog(xulPath,u,o,f,r,g,c,a,e)}catch(n){ATB.Logger.error("Error while opening popup, Error :",n)}},openWidgetPopupFromUrl:function(b){var a=b.split("?")[1];var e=a.split("&");var f={};for(var d=0;d<e.length;d++){var c=e[d].split("=");f[c[0].toLowerCase()]=c[1]}ATB.Widgets.openWidgetPopupWindow(null,f)}};